# $Revision: 1.23 $, $Date: 2006/05/09 00:28:35 $
Summary:	KDE Video4Linux Stream Capture Viewer
Summary(de):	Video4Linux Stream Player fr KDE
Summary(pl):	Przegldarka strumienia Video4Linux dla KDE
Name:		kdetv
Version:	0.8.8
Release:	1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://dziegel.free.fr/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	587885b528b3b737d3bce07526b7f8e8
Patch0:		%{name}.desktop.patch
URL:		http://www.kdetv.org/
BuildRequires:	OpenGL-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	arts-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	kdelibs-devel >= 9:3.3.2
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRequires:	lirc-devel
BuildRequires:	zlib-devel
BuildRequires:	zvbi-devel
Obsoletes:	kwintv
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
kdetv is a KDE application based on the bttv-driver by Ralph Metzler.
kdetv allows you to watch TV in a window on your PC screen.

%description -l de
Kdetv ist eine KDE Applikation die auf den bttv Treiber von Ralph
Metzler bassiert. Kdetv ermglicht es TV auf ihren PC zu gucken.

%description -l pl
kdetv jest aplikacj KDE bazujc na sterowniku bttv autorstwa Ralpha
Metzlera. kdetv pozwala na ogldanie TV w oknie na ekranie PC.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.* admin
%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--with-alsa-dir=%{_prefix} \
	--with-qt-libraries=%{_libdir} \
	--with-zvbi-dir=%{_prefix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	kde_appsdir=%{_desktopdir} \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_desktopdir}/Multimedia/*.desktop \
	$RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%attr(755,root,root) %{_libdir}/kde3/*.so*
%{_libdir}/kde3/*.la
%{_libdir}/*.la
%{_desktopdir}/*.desktop
%{_datadir}/apps/kdetv
%{_datadir}/apps/profiles/*
%{_datadir}/services/kdetv
%{_datadir}/servicetypes/kdetv
%{_iconsdir}/hicolor/*/*/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kdetv.spec,v $
Revision 1.23  2006/05/09 00:28:35  shadzik
- de; builds and works, tested, rel 1

Revision 1.22  2005/08/22 14:03:09  matkor
- Autoupdated to 0.8.8-0.1. Builds. Not tested.

Revision 1.21  2005/04/29 12:16:40  charles
- updated to 0.8.7

Revision 1.20  2005/04/18 19:47:20  qboosh
- more

Revision 1.19  2005/04/18 09:50:15  charles
- cosmetics

Revision 1.18  2005/04/18 09:40:56  charles
- updated to 0.8.6
- BR kdelibs-devel up to >= 9:3.3.2, rm qt-devel
- added lang files

Revision 1.17  2005/03/21 19:11:24  ciesiel
- rel. 1

Revision 1.16  2005/03/18 21:00:55  qboosh
- unified

Revision 1.15  2005/03/17 16:48:24  blekot
- patch to kdetv.desktop
- rel 0.2
- what about "KDE hackers are welcome" from log ?????

Revision 1.14  2005/02/15 22:31:48  averne
- updated to 0.8.5

Revision 1.13  2005/01/08 08:53:50  pascalek
- updated to 0.8.4

Revision 1.12  2004/09/26 16:27:54  marcus
- updates to 0.8.3
- rel. 0.1, KDE hackers are welcome

Revision 1.11  2004/07/27 22:25:01  ankry
- desktop fixes/enhancements, rel. 3

Revision 1.10  2004/04/26 23:08:31  qboosh
- fixed build on amd64, release 2

Revision 1.9  2004/04/26 11:48:08  qboosh
- pass --with-qt-libraries

Revision 1.8  2004/04/26 10:59:18  qboosh
- cleanups, there is no applnkdir in Ac - use only desktopdir

Revision 1.7  2004/04/26 10:27:31  arekm
- hope it's final

Revision 1.6  2004/04/26 10:24:36  arekm
- refresh config.* for amd64, next try

Revision 1.5  2004/04/26 10:23:28  arekm
- refresh config.* for amd64

Revision 1.4  2004/04/26 10:20:10  arekm
- refresh config.* for amd64

Revision 1.3  2004/04/26 10:14:36  arekm
- regenerate ac/am stuff

Revision 1.2  2004/04/25 22:50:52  arekm
- remove not needed provides

Revision 1.1  2004/04/25 22:47:54  arekm
- initial release of kdetv (kwintv is obsolete now)
